Bug 1530826 - CVE-2017-5754 kernel: hw: cpu: speculative execution permission faults handling [fedora-all]
CVE-2017-5754 kernel: hw: cpu: speculative execution permission faults handli...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
27
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2017-5754/Meltdown
  Show dependency treegraph
 
Reported: 2018-01-03 17:54 EST by Petr Matousek
Modified: 2018-03-15 09:47 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-15 09:47:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2018-01-03 17:54:18 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.
Comment 1 Petr Matousek 2018-01-03 17:54:35 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1519781,1530826

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Justin M. Forbes 2018-01-04 13:10:57 EST
This issue is fixed for Fedora with the kernel-4.14.11 stable updates.
Comment 3 Justin M. Forbes 2018-01-05 13:03:21 EST
Reopening this as only x86_64 is coverred with 4.14.11. Future updates will cover other architectures
Comment 4 Laura Abbott 2018-02-20 15:03:53 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2018-02-20 15:08:03 EST
a few other architecture mitigations to land. There should be a status update in the next week.
Comment 6 Justin M. Forbes 2018-03-15 09:47:24 EDT
I am going to close this at this point. The 4.15.4 updates added the arm64 coverage. While the mitigation will be improved over time, I think we have base coverage for users now.

Note You need to log in before you can comment on or make changes to this bug.